<?
 require_once('../../conf/connection.php');

$idpedido =$_GET["idpedido"];
$query_mesa="SELECT * FROM pedido WHERE idpedido='$idpedido'";
$rs_query_mesa=mysql_query($query_mesa);
$mesa=mysql_result($rs_query_mesa,0,"idmesa");

date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I')); 

$fecha=date("d-m-Y");

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$idpedido'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");


$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"            RESTAURANT 'LA GUARIDA' " . PHP_EOL); //TITULO
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"     PEDIDO ".$idpedido);fwrite($miarchivo," DE LA MESA ".$mesa . PHP_EOL) ;
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    Hora: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
 
fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"            CANTIDAD");fwrite($miarchivo,"      TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select * from detalles_pedido where numero like \'%'.$idpedido.'%\'';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					 
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=$row["cantidad"];
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor_total"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo,"    ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                   
					 
					 
				}
			   fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    TOTAL                            ".$total_venta.  PHP_EOL );			}

//FIN DEL BUCLE






fclose($miarchivo); //cerrar archivo
?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">

.table {
 border:2px black solid;
 border-radius:10px;
 min-width:100px;
 min-height:100px;
 font-family: Helvetica,Arial;
}


body {
  background-image: url("../../../assets/img/background.jpg");
}
</style>
<script>
function cerrar(){
		
			window.close();
		}
		
function caja(){
	     
		 window.location.href="imp_caja.php?idpedido=<? echo $idpedido?>";
		
					}
					
function cosina(){
	     
		 window.location.href="imp_cosina.php?idpedido=<? echo $idpedido?>";
	
					}
function ambas(){
	     
		 window.location.href="imp_ambas.php?idpedido=<? echo $idpedido?>";
	
					}
</script>
      <h3>SELECCION DE IMPRESORA</h3>
     <table width="506" border="0">
  <tr>
    <td align="center"><input style="border: #000 2px solid; background-color: #D6F888" type="button" name="imp_caja" id="imp_caja" value="IMPRIMIR EN CAJA" onClick="caja()"></td>
  </tr>
  <tr>
    <td align="center"><input style="border: #000 2px solid; background-color: #D6F888" type="button" name="imp_cosina" id="imp_cosina" value="IMPRIMIR EN COSINA" onClick="cosina()"></td>
  </tr>
    <tr>
    <td align="center"><input type="submit"  style="border: #000 2px solid; background-color: #D6F888" value="CERRAR VENTANA" 
         onClick="cerrar()" /></td>
  </tr>
     </table>
      